<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\ProductionTemp;
use App\Models\User;

class ProductionTempPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any ProductionTemp');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, ProductionTemp $productiontemp): bool
    {
        return $user->checkPermissionTo('view ProductionTemp');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create ProductionTemp');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, ProductionTemp $productiontemp): bool
    {
        return $user->checkPermissionTo('update ProductionTemp');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, ProductionTemp $productiontemp): bool
    {
        return $user->checkPermissionTo('delete ProductionTemp');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any ProductionTemp');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, ProductionTemp $productiontemp): bool
    {
        return $user->checkPermissionTo('restore ProductionTemp');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any ProductionTemp');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, ProductionTemp $productiontemp): bool
    {
        return $user->checkPermissionTo('replicate ProductionTemp');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder ProductionTemp');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, ProductionTemp $productiontemp): bool
    {
        return $user->checkPermissionTo('force-delete ProductionTemp');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any ProductionTemp');
    }
}
